Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 228679 - Add support for Nette\Tester
Add support for Nette\Tester
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Code
7.4
All All
: P2 (vote)
: 8.0
Assigned To: Tomas Mysik
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-18 08:04 UTC by Ondrej Brejla
Modified: 2013-10-17 14:06 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Brejla 2013-04-18 08:04:32 UTC
In new testing infrastructure :)
Comment 1 Tomas Mysik 2013-04-22 09:56:31 UTC
We need a "porcelain" format of the output - could you submit an issue against Nette Tester please?

Thanks.
Comment 2 Tomas Mysik 2013-07-24 08:49:19 UTC
The nette/tester would need to be improved a bit - reported as [1].

Thanks.
[1] https://github.com/nette/tester/issues/39
Comment 3 Tomas Mysik 2013-08-14 08:34:02 UTC
Done, will be available after NB 7.4.

Thanks.
Comment 4 Tomas Mysik 2013-09-30 09:24:57 UTC
Guys, please verify that the support works on Windows.

Thanks.
Comment 5 mmolda 2013-10-01 13:16:59 UTC
Tomasi,
I spent some time testing it and I have found the problem. By default, Tester is running PHP without config (php.ini), so after running tests in Netbeans I get this output:

"C:\xampp\php\php.exe" "D:\frameworks\NetteFramework-2.0.12-PHP5.3\tools\Tester\Tester\tester" "--tap" "-s" "C:\xampp\htdocs\PhpProject187\tests\ExampleTest.phpt"

TAP version 13
not ok PhpProject187\tests\ExampleTest.phpt
# Exited with error code 255 (expected 0)
# 
# Fatal error: Call to undefined function Nette\Utils\mb_convert_encoding() in C:\xampp\htdocs\PhpProject187\libs\Nette\nette\Nette\Utils\Strings.php on line 61
1..1
Done.

So Tester does not see extension php_mbstring.dll which is configured in php.ini. I have to add manually path to config with parameter -c [1]. Then when I tried same command in command line but with -c parameter it is working.

C:\>"C:\xampp\php\php.exe" "D:\frameworks\NetteFramework-2.0.12-PHP5.3\tools\Tester\Tester\tester" "--tap" "-s" "C:\xampp\htdocs\PhpProject187\tests\ExampleTest.phpt" "-c" "C:\xampp\php\php.ini"
TAP version 13
ok PhpProject187\tests\ExampleTest.phpt
1..1

Could you please look at it (and add -c parameter to locate php.ini)? Then I will be able to test it again in NetBeans. Thanks

[1] https://github.com/nette/tester#running-tests
Comment 6 Tomas Mysik 2013-10-02 04:57:05 UTC
Reported as issue #236627.
Comment 7 Tomas Mysik 2013-10-07 14:15:23 UTC
Milane, please, do not forget to verify this issue (especially on Windows).

Thanks.
Comment 8 mmolda 2013-10-08 14:08:46 UTC
Verified, NetBeans support for Nette/Tester is working good. I have found issue in Nette/Tester and reported it [1].

Thanks.

[1] https://github.com/nette/tester/issues/54
Comment 9 Tomas Mysik 2013-10-08 14:48:03 UTC
I just added a few improvements based on the latest Atoum changes - could you please quickly retest it?

Thanks a lot.

http://hg.netbeans.org/web-main/rev/b0aa5190fbaa
Comment 10 Tomas Mysik 2013-10-09 05:35:45 UTC
One more minor fix.

Thanks.

http://hg.netbeans.org/web-main/rev/3cdec60a63e5
Comment 11 mmolda 2013-10-17 14:06:30 UTC
Working as expected. Thank you.

Product Version: NetBeans IDE Dev (Build 201310170001)
Java: 1.7.0_45; Java HotSpot(TM) Client VM 24.45-b08
Runtime: Java(TM) SE Runtime Environment 1.7.0_45-b18
System: Windows 7 version 6.1 running on x86; Cp1250; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo